/* ufn.h - user-friendly naming routines */

/*
 * @(#) $Header: /cs/research/pp/hubris/pp-beta/Chans/dirlist/RCS/ufn.h,v 5.0 90/09/20 15:46:29 pp Exp Locker: pp $
 *
 * $Log:	ufn.h,v $
 * Revision 5.0  90/09/20  15:46:29  pp
 * rcsforce : 5.0 public release
 * 
 *
 */



/*
 *                                NOTICE
 *
 *    Acquisition, use, and distribution of this module and related
 *    materials are subject to the restrictions of a license agreement.
 *    Consult the Preface in the User's Manual for the full terms of
 *    this agreement.
 *
 */


#ifndef _QUIPUUFN_
#define _QUIPUUFN_

#include <isode/quipu/util.h>
#include <isode/quipu/name.h>
#include <isode/quipu/entry.h>

#ifndef UFNOUT
#define UFNOUT		6
#endif

typedef struct dn_seq	*DNS;
#define NULLDNS		((struct dn_seq *) NULL)

typedef struct _envlist {
	DNS	Dns;
	int	Upper;
	int	Lower;
	struct  _envlist * Next;
} *envlist;


#define NULLEL		((envlist) NULL)
envlist			read_envlist();

extern char		ufn_notify;

int			ufn_init();
int			ufn_match();

#endif
