/* get_dr.c: get a delivery report given a reference */

# ifndef lint
static char Rcsid[] = "@(#)$Header: /cs/research/pp/hubris/pp-beta/Lib/pp/RCS/get_dr.c,v 5.0 90/09/20 16:10:51 pp Exp Locker: pp $";
# endif

/*
 * $Header: /cs/research/pp/hubris/pp-beta/Lib/pp/RCS/get_dr.c,v 5.0 90/09/20 16:10:51 pp Exp Locker: pp $
 *
 * $Log:	get_dr.c,v $
 * Revision 5.0  90/09/20  16:10:51  pp
 * rcsforce : 5.0 public release
 * 
 */



#include "util.h"
#include "adr.h"
#include "q.h"
#include "dr.h"
#include "retcode.h"




/* ---------------------  Begin  Routines  -------------------------------- */


extern char	*dr_file;

int get_dr (dno, msg_name, drmpdu)
int     dno;
char    *msg_name;
DRmpdu  *drmpdu;
{
	extern char *mquedir;
	char    file[FILNSIZE];
	FILE    *fp;
	int     retval;

	(void) sprintf (file, "%s/%s/%s%d", mquedir, msg_name, dr_file, dno);

	if ((fp = fopen (file, "r")) == NULL) {
		PP_SLOG (LLOG_EXCEPTIONS, file,
		      ("Can't read DR"));
		return RP_BAD;
	}

	retval = rd_dr (drmpdu, fp);
	(void) fclose (fp);
	return (retval);
}
