/* ut_p1_st.c: Deals with new p1 structures */

# ifndef lint
static char Rcsid[] = "@(#)$Header: /cs/research/pp/hubris/pp-beta/Lib/pp/RCS/ut_gldm.c,v 5.0 90/09/20 16:12:51 pp Exp Locker: pp $";
# endif

/*
 * $Header: /cs/research/pp/hubris/pp-beta/Lib/pp/RCS/ut_gldm.c,v 5.0 90/09/20 16:12:51 pp Exp Locker: pp $
 *
 * $Log:	ut_gldm.c,v $
 * Revision 5.0  90/09/20  16:12:51  pp
 * rcsforce : 5.0 public release
 * 
 */



#include	"util.h"
#include	"mta.h"
#include	<sys/time.h>


extern GlobalDomId	Myglobalname;



/* ---------------------  Begin	 Routines  -------------------------------- */


void GlobalDomId_new (gp)   /* generate a new global id */
GlobalDomId	*gp;
{
	PP_DBG (("Lib/pp/new_GlobalDomId()"));

	or_myinit ();
	gp->global_Country = strdup(Myglobalname.global_Country);
	gp->global_Admin = strdup(Myglobalname.global_Admin);
	if(Myglobalname.global_Private)
		gp->global_Private = strdup(Myglobalname.global_Private);
}

void GlobalDomId_free (gp)
GlobalDomId *gp;
{
	if (gp -> global_Country)
		free (gp -> global_Country);
	if (gp -> global_Private)
		free (gp -> global_Private);
	if (gp -> global_Admin)
		free (gp -> global_Admin);
	bzero ((char *)gp, sizeof *gp);
}
