/* trace2rfc.c - Converts a Trace struct into a RFC string */

# ifndef lint
static char Rcsid[] = "@(#)$Header: /cs/research/pp/hubris/pp-beta/Lib/format/RCS/trace2rfc.c,v 5.0 90/09/20 16:06:09 pp Exp Locker: pp $";
# endif

/*
 * $Header: /cs/research/pp/hubris/pp-beta/Lib/format/RCS/trace2rfc.c,v 5.0 90/09/20 16:06:09 pp Exp Locker: pp $
 *
 * $Log:	trace2rfc.c,v $
 * Revision 5.0  90/09/20  16:06:09  pp
 * rcsforce : 5.0 public release
 * 
 */



#include        "util.h"
#include        "mta.h"

extern void globalid2rfc ();
extern void domsinfo2rfc ();

/* ---------------------  Begin  Routines  -------------------------------- */


int trace2rfc (trace, buffer)  /* TraceInformation -> RFC */
Trace   *trace;
char    *buffer;
{
	char    globalid [LINESIZE];
	char    dominfo [LOTS*3];
	Trace   *tp = trace;
	
	globalid[0] = '\0';
	dominfo[0] = '\0';

	if (tp == (Trace *) NULL)
		return DONE;

	globalid2rfc (&tp -> trace_DomId, globalid);
	domsinfo2rfc (&tp -> trace_DomSinfo, dominfo);

	(void) sprintf (buffer, "%s; %s", globalid, dominfo);

	PP_DBG (("Lib/trace2rfc returns (%s)", buffer));

	return OK;
}
